Subject: Installation problem

From: Igor Dukhovich <[email-masked]>
Date: Fri, 20 Mar 1998 14:26:49 -0500

Hi everybody.

Thanks for any response to this question:

We are trying to compile the wuftp version 2.4 beta 16 on Sun machine
with Solaris 2.6. I am running Sun SPARCcompiler C4.0 on ULTRA 2E.

I got error messages and failed to build the wuftp.
The following occurs after issuing "build sol"

..........
Making ftpd.
cc -g -I.. -I../support -L../support  -c  ftpd.c
"ftpd.c", line 3767: warning: const is a keyword in ANSI C
"ftpd.c", line 3767: syntax error before or at: const
"ftpd.c", line 3767: undefined or not a type: const
"ftpd.c", line 3767: cannot recover from previous errors
*** Error code 10
make: Fatal error: Command failed for target `ftpd.o'

Making ftpcount.
yacc  ftpcmd.y
mv y.tab.c ftpcmd.c
sh newvers.sh
cc -g -I.. -I../support -L../support  -c  vers.c
cc -g -I.. -I../support -L../support -o ftpcount ftpcount.c vers.o
-lsupport -lsocket -lnsl -lgen 
ld: fatal: library -lgen: not found
ld: fatal: File processing errors. No output written to ftpcount
*** Error code 1
make: Fatal error: Command failed for target `ftpcount'

Making ftpshut.
cc -g -I.. -I../support -L../support -o ftpshut ftpshut.c vers.o
-lsupport -lsocket -lnsl -lgen
ld: fatal: library -lgen: not found
ld: fatal: File processing errors. No output written to ftpshut
*** Error code 1
make: Fatal error: Command failed for target `ftpshut'

Making ckconfig.
cc -g -I.. -I../support -L../support -o ckconfig ckconfig.c

Links to executables are in bin directory:
./build: size: not found
Done